/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"memory_debug.h"
#include	"xlerror.h"
#include	"xl.h"

XL_SEXP * xl_GetType();

void
init_GetType(XLISP_ENV * env)
{
	set_env(env,l_string(std_cm,"GetType"),
		get_func_prim(xl_GetType,FO_APPLICATIVE,0,2,2));
}

XL_SEXP *
xl_GetType(XLISP_ENV * env,XL_SEXP * s)
{
XL_SEXP * ss;
int t;
extern char type_table[XLT_MAX][12];
	ss = get_el(s,1);
	t = get_type(ss);
	if ( t == XLT_ERROR )
		return ss;
	return n_get_string(type_table[t]);
}


